LazyCollectionOption (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hibernate.annotations
Enum LazyCollectionOption

    java.lang.Object
      java.lang.Enum<LazyCollectionOption>
          org.hibernate.annotations.LazyCollectionOption

All Implemented Interfaces:
  Serializable, Comparable<LazyCollectionOption>

    public enum LazyCollectionOption

extends Enum<LazyCollectionOption>

Lazy options available for a collection

Enum Constant Summary
`EXTRA` prefer extra queries over fill collection loading
`FALSE` eagerly load it
`TRUE` load it when the state is requested

Method Summary
`static LazyCollectionOption` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static LazyCollectionOption[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FALSE

    public static final LazyCollectionOption FALSE

  eagerly load it

### TRUE

    public static final LazyCollectionOption TRUE

  load it when the state is requested

### EXTRA

    public static final LazyCollectionOption EXTRA

  prefer extra queries over fill collection loading

Method Detail

### values

    public static LazyCollectionOption[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (LazyCollectionOption c : LazyCollectionOption.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static LazyCollectionOption valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.